%define upstream_name puppetlabs-tomcat


Name:           puppet-tomcat
Version:        1.6.0
Release:        3%{?alphatag}%{?dist}
Summary:        Installs, deploys, and configures Apache Tomcat web services.
License:        Apache 2.0

URL:            https://github.com/puppetlabs/puppetlabs-tomcat

Source0:        https://github.com/puppetlabs/%{upstream_name}/archive/%{version}.tar.gz

Patch0001: 0001-Update-modulesync_config-51f469d.patch

BuildArch:      noarch

Requires:       puppet-stdlib
Requires:       puppet-concat
Requires:       puppet-staging
Requires:       puppet >= 2.7.0

%description
Installs, deploys, and configures Apache Tomcat web services.

%prep
%setup -q -n %{upstream_name}-%{version}

%patch0001 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/tomcat/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/tomcat/



%files
%{_datadir}/openstack-puppet/modules/tomcat/


%changelog
* Thu Mar 02 2017 Jon Schlueter <jschluet@redhat.com> 1.6.0-3
- Bump to correct 1.6.0 tarball

* Wed Oct 26 2016 Jon Schlueter <jschluet@redhat.com> 1.6.0-2
- Merge pull request #170 from puppetlabs/modulesync
- Update modulesync_config [51f469d]

* Wed Oct 26 2016 Jon Schlueter <jschluet@redhat.com> 1.6.0-1
- Update to 1.6.0

* Thu Sep 22 2016 Haikel Guemar <hguemar@fedoraproject.org> - 1.5.0-1.c8c6613.git
- Newton update 1.5.0 (c8c66135f7140b91a2bb4e59672a067678cfa782)


